| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::scene::quake3::SBlendFunc Struct Reference

A blend function for a q3 shader. More...

`#include <IQ3Shader.h>`

List of all members.

## Public Member Functions

- SBlendFunc (video::E_MODULATE_FUNC mod)

## Public Attributes

- u32 isTransparent
- video::E_MODULATE_FUNC modulate
- f32 param0
- video::E_MATERIAL_TYPE type

## Detailed Description

A blend function for a q3 shader.

Definition at line 156 of file IQ3Shader.h.

## Constructor & Destructor Documentation

irr::scene::quake3::SBlendFunc::SBlendFunc | ( | video::E_MODULATE_FUNC | mod | ) | `[inline]`

Definition at line 158 of file IQ3Shader.h.

## Member Data Documentation

u32 irr::scene::quake3::SBlendFunc::isTransparent

Definition at line 167 of file IQ3Shader.h.

video::E_MODULATE_FUNC irr::scene::quake3::SBlendFunc::modulate

Definition at line 164 of file IQ3Shader.h.

f32 irr::scene::quake3::SBlendFunc::param0

Definition at line 166 of file IQ3Shader.h.

video::E_MATERIAL_TYPE irr::scene::quake3::SBlendFunc::type

Definition at line 163 of file IQ3Shader.h.

The documentation for this struct was generated from the following file:

- IQ3Shader.h